Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.lifecycle
Class LifecycleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.pentaho.di.core.lifecycle.LifecycleException

All Implemented Interfaces:
  Serializable

    public class LifecycleException

extends Exception

See Also:
  Serialized Form

Constructor Summary
`LifecycleException(boolean severe)`
`LifecycleException(String message, boolean severe)`
`LifecycleException(String message, Throwable cause, boolean severe)`
`LifecycleException(Throwable cause, boolean severe)`

Method Summary
`boolean` | `isSevere()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LifecycleException

    public LifecycleException(boolean severe)

Parameters:
  `severe` - true if Spoon should quit because of this exception

### LifecycleException

    public LifecycleException(String message,
                              boolean severe)

Parameters:
  `message` - The (localized) message
  `severe` - true if Spoon should quit because of this exception

### LifecycleException

    public LifecycleException(Throwable cause,
                              boolean severe)

Parameters:
  `cause` -
  `severe` - true if Spoon should quit because of this exception

### LifecycleException

    public LifecycleException(String message,
                              Throwable cause,
                              boolean severe)

Parameters:
  `message` -
  `cause` -
  `severe` - true if Spoon should quit because of this exception

Method Detail

### isSevere

    public boolean isSevere()

  Returns:
    true if Spoon should quit because of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD